<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="transaksi">
            <h2><span>Transaksi</span> {{transaksi.id}}</h2>
            <hr>
            <jhi-alert-error></jhi-alert-error>
            <dl class="row-md jh-entity-details">
                <dt><span>Nomor</span></dt>
                <dd>
                    <span>{{transaksi.nomor}}</span>
                </dd>
                <dt><span>Tanggal</span></dt>
                <dd>
                    <span>{{transaksi.tanggal}}</span>
                </dd>
                <dt><span>Metode</span></dt>
                <dd>
                    <span>{{transaksi.metode}}</span>
                </dd>
                <dt><span>Bank</span></dt>
                <dd>
                    <span>{{transaksi.bank}}</span>
                </dd>
                <dt><span>Nomor Rekening</span></dt>
                <dd>
                    <span>{{transaksi.nomorRekening}}</span>
                </dd>
                <dt><span>Virtual Account</span></dt>
                <dd>
                    <span>{{transaksi.virtualAccount}}</span>
                </dd>
                <dt><span>Status</span></dt>
                <dd>
                    <span>{{transaksi.status}}</span>
                </dd>
                <dt><span>Update By</span></dt>
                <dd>
                    <span>{{transaksi.updateBy}}</span>
                </dd>
                <dt><span>Update On</span></dt>
                <dd>
                    <span>{{transaksi.updateOn}}</span>
                </dd>
                <dt><span>Tagihan</span></dt>
                <dd>
                    <div *ngIf="transaksi.tagihan">
                        <a [routerLink]="['/tagihan', transaksi.tagihan?.id, 'view']">{{transaksi.tagihan?.id}}</a>
                    </div>
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon [icon]="'arrow-left'"></fa-icon>&nbsp;<span> Back</span>
            </button>

            <button type="button"
                    [routerLink]="['/transaksi', transaksi.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon [icon]="'pencil-alt'"></fa-icon>&nbsp;<span> Edit</span>
            </button>
        </div>
    </div>
</div>
